Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#176 10-03-2018 17:20:44

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problème debian 9 (probablement matériel)

je vais me risquer à encourir les foudres de PengouinPdt .

je ne veux surtout pas faire son travail à sa place , d'ailleurs , je n'en ai pas les connaissances .

j'ai vu ceci au post #126 page 6 :

lspci


00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GP104M [GeForce GTX 1070] (rev a1)



je lui demande donc de vérifier mais je crois , suivant ceci :

https://nouveau.freedesktop.org/wiki/CodeNames/   code name : NV134 (GP104)
https://nouveau.freedesktop.org/wiki/VideoAcceleration/

que la carte Nvidia  de kurlrip n'est pas encore supportée par debian . enfin , je veux dire , par "nouveau" .
je me suis trompé . j'ai donné un mauvais conseil . je m'excuse .
je suis surpris , aussi , je demande à qui voudra bien , de vérifier mes dires et de relever mon erreur s'il y en a une .
car on trouve , par exemple , ceci :  https://debian-facile.org/viewtopic.php?id=19627

une confirmation est également bienvenue .

Dernière modification par Debian Alain (10-03-2018 18:18:18)


1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#177 10-03-2018 18:17:28

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

Apparemment, elle fait partie des nouvelles séries non supportées par le pilote libre.
Elle ne fonctionnera pas du tout avec le pilote nouveau, à-priori - à moins que je ne me trompe - mais avec le pilote nvidia <= il faut donc installer Bumblebee+Nivida.

Dernière modification par PengouinPdt (10-03-2018 18:19:28)

Hors ligne

#178 10-03-2018 18:30:42

èfpé
Membre
Inscription : 10-07-2016

Re : Problème debian 9 (probablement matériel)

Coucou en passant,

Selon le retour fait par robert2a en #2, nouveau passe, avec l'actuelle testing, sur un PC fixe (GP104) du moins.

Dernière modification par èfpé (10-03-2018 18:40:42)

Hors ligne

#179 10-03-2018 18:43:30

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

Je viens de lire ça... apparemment ; donc il faut croire que la doc officielle n'est pas à jour !
Faut voir cela en profondeur wink

Hors ligne

#180 10-03-2018 19:02:42

èfpé
Membre
Inscription : 10-07-2016

Re : Problème debian 9 (probablement matériel)

Re-,

Il semble que la page « VideoAcceleration » date un peu (25 Jan 2016) ! Et le man pour nouveau est obsolète...

Hors ligne

#181 10-03-2018 22:23:08

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

Bon, alors si je comprends bien :
- Nom de code : NV134 ; Architecture : Pascal ; Video Engine : VP6 +

Selon le dépôt git du projet, le support de l'architecture Pascal a été ajouté fin mars 2017 !
Donc, il est probable en effet que la carte soit fonctionnelle avec nouveau.

Néanmoins, il faut la version "xf86-video-nouveau-1.0.15" !
Or, sur la stretch, cela ne fonctionnera pas car c'est la version 1.0.13 - il faut utiliser Buster, ou Sid, pour avoir la version en question !
Ce qui confirme le test de robert2a... wink

Donc, dans l'immédiat, @Kurlrip :
  - si vous tenez à Stretch, utilisez Bumblebee+nvidia
  - sinon, basculez vers Sid, voire Buster...
(même si je recommande l'usage "malheureux" du pilote privatif ; cela résout bien des cas récents...)

@efpe : même le manpage est "outdated". C'est vraiment la maladie des communautés Linux, ces manpages non tenus à jour...
Quand on a pris l'habitude de ceux pour OpenBSD, c'est vraiment la Nuit côté Linux !

----

Je vais rajouter un avis sur le page wiki pour informer dans ce sens ! wink

Dernière modification par PengouinPdt (10-03-2018 22:47:46)

Hors ligne

#182 10-03-2018 22:31:41

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problème debian 9 (probablement matériel)

pour faire écho aux propos de PengouinPdt , j'ai trouvé ceci  :

j'ai pas ôsé les mettre , attendant confirmation , qui , me semble t  il , vient d'arriver  .

https://nouveau.freedesktop.org/wiki/

https://cgit.freedesktop.org/nouveau/xf … o-nouveau/

1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#183 10-03-2018 22:48:57

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

@"Debian Alain", disons que je suis allé au bout des choses, et que j'ai mis les liens directes vers les informations précises et adéquates, plutôt que "généralistes" wink

Hors ligne

#184 12-03-2018 16:22:48

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

PengouinPdt a écrit :

Bonjour,

étant donné que je suis le "contributeur" principal, actuel, de la page Optimus, @chalu m'a gentiment demandé de voir si je pouvais aider wink
Pour plus d'une raison, je ne répondrais pas aussi vite que certains, parfois oui, parfois non - et, il faut l'accepter. big_smile

Ceci étant dit...
@Kurlrip : si j'ai bien compris, tu as une architecture Optimus, car GPU Intel et GPU Nvidia, c'est bien cela ?!
Si c'est bel et bien le cas : INUTILE d'installer le pilote Nvidia, tout seul ; cela NE fonctionnera PAS !
C'est quand même marqué dans un encadré rouge dans la page sus-nommée, dès le début de celle-ci !
(Tant que nous n'aurons pas le projet "prime" - à ne pas confondre avec le binaire "primus" - il nous sera IMPOSSIBLE d'utiliser le GPU Nvidia... Nous ne sommes pas *Buntu, et assimilées)
Le seul biais est Bumblebee !

Dernier point, et non des moindres, il est possible, voire probable, si le GPU Nvidia est très récent... que Debian ne puisse la gérer !
Il faut aussi l'accepter.

----

Ensuite, as-tu BIEN lu l'encadré IMPORTANT, en fond rouge, au chapitre "Installation de Bumblebee", il informe des deux pages du projet nouveau, pour savoir si ton GPU nvidia est géré par le pilote adhoc.

Est-ce que le modèle de ta carte GPU a un support valide, correct, officiel par le projet nouveau ?!
Si non, cela sert à rien de perdre son temps à installer et chercher à utiliser Bumblebee avec le pilote libre.

----

Cela étant dit, marqué, écrit :

Tu me fais en premier un :

apt purge nvidia* bumblebee*



De même, d'une manière ou d'une autre, tu supprimes tout fichier de config Xorg que tu aurais pu créer !!!

Et, ensuite reprend la procédure d'installation, telle que décrite dans la page Optimus.
Une fois l'installation terminée, tu redémarres le laptop, et tu m'affiches la première erreur que tu rencontreras à l'exécution d'optimus wink

@bientôt.




Euuu.. bonjour tout le monde. Désolé, j'ai pas répondu c'est dernier jour, vacance déménagement etc etc....

Merci pour toutes ces info et le temps passé.

Je cite ton premier post, mais j'ai bien lu les autres.

J'ai donc un pc type laptop, mais ça tu t'en doute... et une carte GTX1070 (https://fr.msi.com/Laptop/GE73VR-7RF-Raider.html)


Je ne sais pas si tu as lu l'intégralité du topic, mais j'ai essayé beaucoup de chose, et essayer de refaire l'installation de nombreuses fois pour essayer de comprendre ou de voir les différences entre chacune d'elles. (je prends le devant: ça sert à rien, oui, mais j'aime bien essayer et tester d'autant qu'au point ou j'en suis, j'ai rien sur le pc...)

C'est quand même marqué dans un encadré rouge dans la page sus-nommée, dès le début de celle-ci !


Oui j'ai bien lu tout ça.... mais après avoir essayer à la lettre les différents wiki, j'ai fait un peu de ... comment dire... "bricolage hasardeu."

Pour en arrivé à la conclusion que si j'installe Buster, quand je lance la session gnome, celle ci démarre et je peux utiliser 'normalement' le pc. Ensuite j'ai essayé petit à petit de rajouter les briques manquantes.

Actuellement j'ai encore du mal à comprendre bumblebee et bumblebee-nvidia je ne comprends pas bien qui est censé faire quoi. d'après ce que je comprend, l'installation bumblebee est pour fonctionner avec nouveau et bumblebee-nvidia est pour fonctionner avec le pilote nvidia (???) je vois qu'il y a bumblebee-nvidia (avec apt) mais quand vous parlez de bumblebee+nvidia ça veux dire :

apt install nvidia-driver bumblebee

ou

apt install bumblebee-nvidia


Ensuite, as-tu BIEN lu l'encadré IMPORTANT, en fond rouge, au chapitre "Installation de Bumblebee", il informe des deux pages du projet nouveau, pour savoir si ton GPU nvidia est géré par le pilote adhoc.

Est-ce que le modèle de ta carte GPU a un support valide, correct, officiel par le projet nouveau ?!
Si non, cela sert à rien de perdre son temps à installer et chercher à utiliser Bumblebee avec le pilote libre.



D'après ce que j'ai lu le NV130 family (Pascal) doit fonctionner avec nouveau (le mien est le nv134 tel que tu le cites), et il me semble bien sauf erreur de ma part qu'il est fonctionnel.


Donc, dans l'immédiat, @Kurlrip :
  - si vous tenez à Stretch, utilisez Bumblebee+nvidia
  - sinon, basculez vers Sid, voire Buster...
(même si je recommande l'usage "malheureux" du pilote privatif ; cela résout bien des cas récents...)



En fait ce que j'aimerai, c'est savoir ce qu'il est conseillé de faire. Sachant que je n'ai pas besoin des capacités de la carte Nvidia quand je suis sous linux, car de fait surtout du dev, et/ou des taches communes (internet, mail, bureautique) Je veux pouvoir installer les outils qui me sont habituelle pour le dev (nodejs, atom, les sdk d'android etc..)
Mais bon, j'aimerai bien aussi que ma carte graphique ne tourne pas dans le vide, et consomme pour rien.
Dans l'absolu, j'aurais aimé être sur la version stable, qui est celle que j'utilise sur d'autre poste. Mais pour la version stable tu me dit Bumblebee+nvidia, et il me semble avoir essayé sans succès. De tête, mais sans certitude, je crois que une fois installé buymblebee-nvidia sur stretch, j'ai un petit smiley qui me dit : ho mince quelque chose s'est mal passé. Mais comme dit plus haut je fini par ne plus savoir ce qu'il faut installer et qui fait quoi....


Je vais reprendre ce soir en rentrant l'installation de l'os, mais que me conseilles tu ? stretch et bumblebee-nvidia ?

Dernière modification par Kurlrip (12-03-2018 18:05:32)

Hors ligne

#185 13-03-2018 11:44:15

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

Bonjour,
Je suis très surpris qu'il suffise qu'on change un symbole dans une phrase pour que certaines personnes ne comprennent plus ce qu'on exprime. Ne te sens pas agressé, loin s'en faut.
Quand j'ai écrit "Bumblebee+nvidia", cela signifie choisir "Bumblebee avec le pilote nvidia" - la doc sur le wiki est quand même explicite - sincèrement, là, j’atteins mes limites ; je ne peux pas être plus explicite !

Vu ton activité, tu peux très bien te satisfaire de "Bumblebee avec nouveau"...
Les conseils, je les ai donnés clairement ; le choix, c'est à toi de le faire ! (pas à moi).

- si vous tenez à Stretch, utilisez Bumblebee avec nvidia
  - sinon, basculez vers Sid, voire Buster...



----

Ensuite, quand je lis cela, je suis interloqué :

D'après ce que j'ai lu le NV130 family (Pascal) doit fonctionner avec nouveau (le mien est le nv134 tel que tu le cites), et il me semble bien sauf erreur de ma part qu'il est fonctionnel.



Surtout quand j'ai écris ceci :

Néanmoins, il faut la version "xf86-video-nouveau-1.0.15" !
Or, sur la stretch, cela ne fonctionnera pas car c'est la version 1.0.13 - il faut utiliser Buster, ou Sid, pour avoir la version en question !



Ou, ceci :

Pour récapituler :

    l'architecture matérielle NV110, nommée Maxwell, est supportée à partir de la version du serveur X : “xf86-video-nouveau-1.0.14”.
    l'architecture matérielle NV130, nommée Pascal, est supportée à partir de la version du serveur X : “xf86-video-nouveau-1.0.15”

Sous Stretch, la version supportée du serveur X est la : 1.0.13

De fait, les cartes de famille Maxwell, ou Pascal, n'ont pas le support du pilote libre pour Stretch. De même, si votre carte graphique n'est pas supportée, utilisez directement le projet Bumblebee avec le pilote privatif !



Ça manque de clarté ???
Euhhh... je ne sais plus quoi dire !

Si, je recopie ce que j'ai dit la première fois :

Tu me fais en premier un :


apt purge nvidia* bumblebee*



De même, d'une manière ou d'une autre, tu supprimes tout fichier de config Xorg que tu aurais pu créer !!!

Et, ensuite reprend la procédure d'installation, telle que décrite dans la page Optimus.
Une fois l'installation terminée, tu redémarres le laptop, et tu m'affiches la première erreur que tu rencontreras à l'exécution d'optimus wink



Pour finir : si gnome dit "oops", le premier réflexe n'est pas de tout recommencer... mais d'ouvrir tty1 - [CtrL+ALT+F1] - pour lire le fichier /var/log/Xorg.0.log !

----

Si tu as une erreur, essayes de restituer cette commande :


grep "(EE|WW)" /var/log/Xorg.0.log

Dernière modification par PengouinPdt (13-03-2018 11:53:33)

Hors ligne

#186 13-03-2018 11:57:34

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Problème debian 9 (probablement matériel)

PengouinPdt a écrit :

ouvrir tty1 - [CtrL+ALT+F1]


Donc passer en mode console : https://debian-facile.org/doc:systeme:console wink


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#187 13-03-2018 12:27:06

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

Merci pour le lien wink

Hors ligne

#188 13-03-2018 12:35:13

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Problème debian 9 (probablement matériel)

Les débutants du libre n'utilisent pas volontiers internet alors que sans la recherche sur le net, le libre ne l'est jamais vraiment et pauvrement utilisable.
Cela s'apprend aussi jusqu'à devenir un reflexe... wink

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#189 14-03-2018 00:57:19

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

PengouinPdt a écrit :

Bonjour,
Je suis très surpris qu'il suffise qu'on change un symbole dans une phrase pour que certaines personnes ne comprennent plus ce qu'on exprime. Ne te sens pas agressé, loin s'en faut.
Quand j'ai écrit "Bumblebee+nvidia", cela signifie choisir "Bumblebee avec le pilote nvidia" - la doc sur le wiki est quand même explicite - sincèrement, là, j’atteins mes limites ; je ne peux pas être plus explicite !

Vu ton activité, tu peux très bien te satisfaire de "Bumblebee avec nouveau"...
Les conseils, je les ai donnés clairement ; le choix, c'est à toi de le faire ! (pas à moi).

- si vous tenez à Stretch, utilisez Bumblebee avec nvidia
  - sinon, basculez vers Sid, voire Buster...



----

Ensuite, quand je lis cela, je suis interloqué :

D'après ce que j'ai lu le NV130 family (Pascal) doit fonctionner avec nouveau (le mien est le nv134 tel que tu le cites), et il me semble bien sauf erreur de ma part qu'il est fonctionnel.



Surtout quand j'ai écris ceci :

Néanmoins, il faut la version "xf86-video-nouveau-1.0.15" !
Or, sur la stretch, cela ne fonctionnera pas car c'est la version 1.0.13 - il faut utiliser Buster, ou Sid, pour avoir la version en question !



Ou, ceci :

Pour récapituler :

    l'architecture matérielle NV110, nommée Maxwell, est supportée à partir de la version du serveur X : “xf86-video-nouveau-1.0.14”.
    l'architecture matérielle NV130, nommée Pascal, est supportée à partir de la version du serveur X : “xf86-video-nouveau-1.0.15”

Sous Stretch, la version supportée du serveur X est la : 1.0.13

De fait, les cartes de famille Maxwell, ou Pascal, n'ont pas le support du pilote libre pour Stretch. De même, si votre carte graphique n'est pas supportée, utilisez directement le projet Bumblebee avec le pilote privatif !



Ça manque de clarté ???
Euhhh... je ne sais plus quoi dire !

Si, je recopie ce que j'ai dit la première fois :

Tu me fais en premier un :


apt purge nvidia* bumblebee*



De même, d'une manière ou d'une autre, tu supprimes tout fichier de config Xorg que tu aurais pu créer !!!

Et, ensuite reprend la procédure d'installation, telle que décrite dans la page Optimus.
Une fois l'installation terminée, tu redémarres le laptop, et tu m'affiches la première erreur que tu rencontreras à l'exécution d'optimus wink



Pour finir : si gnome dit "oops", le premier réflexe n'est pas de tout recommencer... mais d'ouvrir tty1 - [CtrL+ALT+F1] - pour lire le fichier /var/log/Xorg.0.log !

----

Si tu as une erreur, essayes de restituer cette commande :


grep "(EE|WW)" /var/log/Xorg.0.log








Ça manque de clarté ???
Euhhh... je ne sais plus quoi dire !




Je n'ai jamais écris ça...

Je pose la questions juste pour être sûr et ne pas mal interpreter ce que tu écris.

Quand il me met" ho mince.... " je sais bien comment accéder au tty. Mon  problème était plutôt quoi faire après pour comprendre de et résoudre le problème...


Je test ce que tu m'a dit. Et je reviens vers vous pour vous dire ce qu'il se passe. Je vais tester avec stretch.


PS:  je ne comprends toujours pas ce qu'est  bumblebee  et bumblebee-nvidia.


EDIT  bon je crois avoir la réponse :


[b]bumblebee [/b]- rien que pour l'usage du pilote libre 'nouveau',
[b]bumblebee-nvidia[/b] - pour l'usage du pilote privatif Nvidia.
 



sources : https://wiki.debian-fr.xyz/NVidia_Optimus_Bumblebee

Dernière modification par Kurlrip (14-03-2018 12:01:35)

Hors ligne

#190 14-03-2018 20:42:44

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

Hello

J'ai donc repris l'installation de strech. J'ai fait comme la toute première fois c'est à dire installation de Nvidia et Bumblebee en suivant https://debian-facile.org/doc:materiel: … ia:optimus comme la première fois également.

J'en suis au même point également :je n'arrive pas à faire l'installation. Vous allez surement me dire ce que je rate ou ce que je fait mal

Donc :

Install de stretch par un iso net install.

je choisi Gnome comme bureau pendant l'installation

Une fois installé, j'arrive à la demande de login pour ouverture de session. Je ne le fait pas car je sais que ça va planter et que le pc va se figer. (Si il faut, je peux le faire)
Je passe donc en console tty.

Je modifie le source list et met tout en contrib non-free

puis :

apt update



apt upgrade




ensuite :

apt purge nvidia-*



dpkg --add-architecture i386

apt update

apt install primus-libs-ia32


apt install nvidia-kernel-dkms nvidia-xconfig nvidia-settings nvidia-vdpau-driver vdpau-va-driver mesa-utils bumblebee-nvidia primus xserver-xorg-video-nvidia linux-headers-$(uname -r)



 




Ensuite ça plante et l'installation ne se finie jamais :

https://ibb.co/grzrZc



Donc je pense pourtant faire exactement ce qui est mis sur la page https://debian-facile.org/doc:materiel: … ia:optimus

Voilà, donc j'en reste là, je peux vous envoyer les log que vous voulez...

Dernière modification par Kurlrip (14-03-2018 20:52:19)

Hors ligne

#191 14-03-2018 20:44:12

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

smolski a écrit :

Les débutants du libre n'utilisent pas volontiers internet alors que sans la recherche sur le net, le libre ne l'est jamais vraiment et pauvrement utilisable.
Cela s'apprend aussi jusqu'à devenir un reflexe... wink




Je ne pense pas vraiment être débutant....

Hors ligne

#192 14-03-2018 21:08:06

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problème debian 9 (probablement matériel)

kurlrip a écrit :

Je ne pense pas vraiment être débutant....



ben , excuse moi , mais vu ton entêtement à lancer des commandes ou des processus qu'on ne te recommande pas voire déconseille ...  scratchhead.gif

et vu ton entêtement à ne pas faire ce que l'on te recommande ....

je me pose la question .  help.gif

je comprends ton désir de vouloir comprendre ce que tu fait mais ,

ton comportement fait plus penser à un amateur qu'à un connaisseur .  peace_flag.gif

je te rassure , j'en suis un aussi d'amateur mais ton comportement est vraiment typique .

et je ne crois pas que que des sommités comme smolski , efpé ou  PengouinPdt aiment parler pour ne rien dire . yikes

et qui plus est , dans le vide . mad


sur ce , bonne chance .

et sans rancune (enfin , j'espère) big_smile

p.s.: tu auras remarqué , sans doute , que je parle en mon nom , pas pour les autres .
j'ai trop de  respect pour les contributeurs "admins" et autres pour vouloir ne pas  les mouiller dans mon point de vue .
même si je pense que beaucoup sans  s'afficher ou sans le dire , s'y retrouveront .

Dernière modification par Debian Alain (14-03-2018 21:26:12)


1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#193 14-03-2018 21:56:00

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

et vu ton entêtement à ne pas faire ce que l'on te recommande ....



ok je me suis trompé en ré écrivant ce que j'avais fait, encore désolé.  J'ai suivi ce qu'on m'a dit de faire, et pour le moment j'ai pas trop de résultat. Sauf si j'utilise la carte Intel.

L'installation que je viens juste de refaire est celle que j'ai fait la toute première fois avant même de demander de l'aide. C'est à dire installation de bumblebee + nvidia, avec le même résultat.

Et en effet, ce cas qui me pose problème je ne le maîtrise pas car les version de debian que j'installe n'ont jamais d'interface graphique, et celle qui en on, j'ai jamais eu ce genre de problème. Alors après peut être que sur un pc dit "gamer" il ne faut pas vouloir installer debian stable j'en sais rien, et c'est pour ça que je m'adresse à des personne qui connaisse mieux le système que moi, car dans le cas présent je ne sais pas faire.

Après tu reliras depuis le début, j'ai quand même eu le droit à plein d'avis n'allant pas forcément tous dans le même sens.  Par exemple de créer un fichier xorg.conf alors qu'il est clairement écrit en rouge de ne pas le faire.... Mais bon, ça ne me coûtait rien de tester..

Je pense qu'en effet, tel que la dit le dernier contributeur c'est nvidia + bumblebee qui résoudra mon problème, mais je ne sais pas que faire des erreur qu'il me sort et ce dès l'installation.


ton comportement fait plus penser à un amateur qu'à un connaisseur .  peace_flag.gif
je te rassure , j'en suis un aussi d'amateur mais ton comportement est vraiment typique .



Ben qu'on m'explique comment on passe sous tty ou que il faut faire su pour passer root, oui ça me saoul un peu...


Malgré tout je te suis reconnaissant d'avoir "perdu" du temps à essayer de m'aider.

Dernière modification par Kurlrip (14-03-2018 22:41:52)

Hors ligne

#194 14-03-2018 22:27:19

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problème debian 9 (probablement matériel)

ben , j'ai pas la prétention d'avoir aidé comme il le fallait .

j'ai essayé , j'y suis pas  arrivé .

je suis un amateur , je ne reviendrai pas là dessus . mais il me semble que tu n'as effectivement pas compris grand chose .

moi non plus je te dirai . ce qui est curieux , c'est que même avec l'aide de gens sérieux comme PengouinPdt ,

tu ne sembles pas  avoir évolué . bizzarre bizzarre .

il y a là quelquechose qui m'échappe . pourtant , il t'a parlé de pro à connaisseur .

kurlrip a écrit :

car les version de debian que j'installe n'ont jamais d'interface graphique, et celle qui en on, j'ai jamais eu ce genre de problème.


ben alors pourquoi tu n'installes pas debian avec une interface graphique ? (qui plus est sous buster tant qu'à y être) , tu auras moins de problèmes .

et en plus ça t'évitera de te faire c****r avec l'installation sans bureau .

je parle de buster , car , comme il a souvent été évoqué ici , ton pc est tellement récent qu'il a besoin des derniers pilotes , les tous derniers .

et on ne peut les trouver que dans buster / sid (testing / unstable / expérimental si tu préfères) .

comme je peux pas t'aider plus , je te souhaite bonne chance .

lis bien les petits mots de pengouinpdt . ils sont très avisés . forcément , c'est le créateur du post d'aide sur bumblebee .

kurlrip a écrit :

Après tu reliras depuis le début, j'ai quand même eu le droit à plein d'avis n'allant pas forcément tous dans le même sens.


oui , j'ai remarqué , y compris , malheureusement , les miens .

que veux tu , c'est en même temps , l'avantage et l'inconvénient du forum . on y trouve de tout .

et si avec toute l'aide qu'on essaye de t'apporter , tu ne trouves toujours pas un début de soluce ... c'est à désespérer .

Dernière modification par Debian Alain (14-03-2018 22:40:23)


1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#195 14-03-2018 22:37:33

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

ben alors pourquoi tu n'installes pas debian avec une interface graphique ? (qui plus est sous buster tant qu'à y être) , tu auras moins de problèmes .

et en plus ça t'évitera de te faire c****r avec l'installation sans bureau .

je parle de buster , car , comme il a souvent été évoqué ici , ton pc est tellement récent qu'il a besoin des derniers pilotes , les tous derniers .

et on ne peut les trouver que dans buster / sid (testing / unstable / expérimental si tu préfères) .



J'en installe beaucoup sans interface graphique car c'est des serveur, il n'y en a donc pas besoin. On y accède par ssh.

Les installations avec interface graphique que j'ai faite sont sur des pc qui ne sont pas aussi récent que nous utilisons pour travailler. Et sous stretch nous n'avons pas eu de problème. Je voulais que mon pc soit sous la même config. C'est juste un souhait personnel qui n'a pas de motivation autre que de réponde à mon envie personnelle.
Maintenant vous avez sûrement raison peut être devrais je passer directement sous Stretch.

Mais :

- si vous tenez à Stretch, utilisez Bumblebee avec nvidia
      - sinon, basculez vers Sid, voire Buster...



je me suis donc dit ça doit être ok pour stretch.

Hors ligne

#196 14-03-2018 22:48:55

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problème debian 9 (probablement matériel)

vu ton acharnement à vouloir utiliser  stretch , j'ai fait le curieux . j'ai trouvé ceci :

https://wiki.debian.org/fr/DebianStretch

stretch est la version courante , je l'avais oublié .

reste que je te pose la question pour buster .

tu es sûr qu'elle ne t'intéresse pas ?

tu aurais les pilotes les plus récents (vraissemblablement ceux que ta machine réclame) et en plus en avance .

je dis pas que tu n'y arriveras pas sous stretch ....

mais , honnêtement , je ne sais pas .

enfin , je suis pas un pro .... , juste un amateur .

mais , lors de soucis avec  ma carte graphique , c'est ce que j'ai fait , et je m'en suis bien trouvé .

c'est vrai que j'ai pas eu les mêmes ennuis que toi .

si tu trouves la soluce , n'hésite pas à venir nous l'expliquer ici .

histoire d'en aider d'autres .

merci

Dernière modification par Debian Alain (14-03-2018 23:07:21)


1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#197 14-03-2018 23:19:42

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

Je t'ai dit que c'est juste pour avoir stretch partout. Mais bon peut être que ça va finir sous Buster.

Sinon, en mettant un acpi=off dans grub, j'ai pu finir de faire l'installation de bumblebee tel que décrit dans le tuto.

Maintenant quand je reboot si j'ouvre la session le pc fige.

Résultat de la commande : grep 'EE\|WW' /var/log/Xorg.0.log


root@MSI:/home/kurlrip# grep 'EE\|WW' /var/log/Xorg.0.log
  (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[     3.057] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[     3.070] (EE) open /dev/dri/card0: No such file or directory
[     3.070] (WW) Falling back to old probe method for modesetting
[     3.070] (EE) open /dev/dri/card0: No such file or directory
[     3.070] (WW) Falling back to old probe method for vesa
[     3.070] (EE) Screen 0 deleted because of no matching config section.
[     3.076] (EE) AIGLX: reverting to software rendering



 



En utilisant acpi=off ma session s'ouvre mais avec une résolution toute pourrie.


si ça peu servir :


root@MSI:/home/kurlrip# glxinfo -B
name of display: :1
display: :1  screen: 0
direct rendering: Yes
Extended renderer info (GLX_MESA_query_renderer):
    Vendor: VMware, Inc. (0xffffffff)
    Device: llvmpipe (LLVM 3.9, 256 bits) (0xffffffff)
    Version: 13.0.6
    Accelerated: no
    Video memory: 15937MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 3.3
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.9, 256 bits)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 13.0.6
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile

OpenGL version string: 3.0 Mesa 13.0.6
OpenGL shading language version string: 1.30
OpenGL context flags: (none)

OpenGL ES profile version string: OpenGL ES 3.0 Mesa 13.0.6
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
 

Dernière modification par Kurlrip (14-03-2018 23:22:21)

Hors ligne

#198 14-03-2018 23:35:08

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : Problème debian 9 (probablement matériel)

c'est pas que je veux pas , c'est que je sais pas .

ton problème me dépasse .

peut être une bonne âme ....

1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

En ligne

#199 14-03-2018 23:43:23

Kurlrip
Membre
Inscription : 18-09-2016

Re : Problème debian 9 (probablement matériel)

Je parle pas à toi en particulier, mais PengouinPdt m'a demandé ce log après l'installation. Donc je lui donne.

Hors ligne

#200 18-03-2018 00:20:06

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Sid | Xebian
Noyau : Linux 4.xyz
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : Problème debian 9 (probablement matériel)

@kurlrip: pour te résumer, si j'ai bien compris, tu es sous stable/stretch, là...
Je vois que tu as compris pour l'astuce 'acpi'... si le système te le dit, c'est qu'il en a besoin.

J'aimerais avoir le log de Xorg sous ta session qui fonctionne avec l'acpi, stp...

De mon côté, je vais essayer de voir ce que je peux trouver avec les erreurs que tu transmets... mais c'est bizarre !

----

Ton lscpci est bien celui-là :

00:02.0 VGA compatible controller: Intel Corporation Device 591b (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GP104M [GeForce GTX 1070] (rev a1)



C'est bizarre qu'il affiche si peu de chose sur le GPU Intel...

Tu veux bien mettre à jour les données PCI :

update-pciids

- de mémoire

Et, me restituer à nouveau un

lspci | grep -i "vga|3d|display"

! ?

----

Autre point à tester, concernant le serveur xorg pour le GPU Intel, vérifies si tu as le serveur xorg installé : xserver-xorg-video-intel

Si oui, testes à le virer, et redémarres ta machine !
Il est clairement déconseillé de l'utiliser - le virer à pour effet d'utiliser le pilote modesetting qui remplace avantageusement...

Pour l'instant, ne touches pas à Bumblebee.



____

PS : "les enfants, svp, on se calme" wink

Dernière modification par PengouinPdt (18-03-2018 00:42:50)

Hors ligne

Pied de page des forums